XPopup: dll.cpp File Reference

- Main Page
- Classes
- Files
- Related Pages

- File List
- File Members

# dll.cpp File Reference

Main DLL File. More...

`#include "defines.h"`
`#include "classes/xpopupmenumanager.h"`
`#include "classes/xpopupmenu.h"`

## Functions

void WINAPI | LoadDll (LOADINFO *load)
| mIRC DLL Load Function
| mIRC (mpopup)
| XPopup DLL /mpopup Function.
| mIRC (_xpopup)
| XPopup DLL $xpopup Function.
| mIRC (xpopup)
| XPopup DLL /xpopup Function.
| mIRC (_xpop)
| XPopup DLL $xpop Function.
| mIRC (xpop)
| XPopup DLL /xpop Function.
| mIRC (Version)
| DCX DLL Version Function.
void | mIRCcom (const char *data)
| mIRC /command function
void | mIRCError (const char *data)
| blah
void | mIRCeval (const char *data, char *res)
| mIRC $identifier evaluation function
LRESULT CALLBACK | mIRCSubClassWinProc (HWND mHwnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
| blah
int WINAPI | UnloadDll (int timeout)
| mIRC DLL UnLoad Function

## Variables

XPopupMenuManager | g_XPopupMenuManager
| Global XPopupMenu Manager.
HWND | mhMenuOwner
| Menu Owner Window Which Processes WM_ Menu Messages.
mIRCDLL | mIRCLink
| mIRC Linking Structure

## Detailed Description

Main DLL File.

This file contains the main XPopup dll routines.

Author:
  David Legault ( clickhere at scriptsdb dot org )

Version:
  1.0

Revisions

© ScriptsDB.org - 2006

## Function Documentation

void WINAPI LoadDll | ( | LOADINFO * | load | ) |

mIRC DLL Load Function

This function is called when the DLL is loaded.

It initializes all what the DLL needs and links mIRC received information to the mIRCDLL mIRCLink data structure to be used later in various functions in the DLL.

Parameters:

  | load | mIRC Load Structure Pointer

mIRC | ( | mpopup |  | ) |

| XPopup DLL /mpopup Function. mIRC /mpopup menuname [0|1] Argument data contains -> [MENU] [0|1]

mIRC | ( | _xpopup |  | ) |

| XPopup DLL $xpopup Function. mIRC $xpopup(menu, options).prop interface Argument data contains -> [MENU] [PROP] (OPTIONS)

mIRC | ( | xpopup |  | ) |

| XPopup DLL /xpopup Function. mIRC /xpopup -switch menu (options) Argument data contains -> [MENU] [SWITCH] (OPTIONS)

mIRC | ( | _xpop |  | ) |

| XPopup DLL $xpop Function. mIRC $xpop(menu, path, options).prop interface Argument data contains -> [MENU] [PROP] [PATH] [TAB] [OPTION]

mIRC | ( | xpop |  | ) |

| XPopup DLL /xpop Function. mIRC /xpop -switch menu path [TAB] optional data Argument data contains -> [MENU] [SWITCH] [PATH] [TAB] [OPTION]

void mIRCcom | ( | const char * | data | ) |

| mIRC /command function blah

void mIRCError | ( | const char * | data | ) |

| blah blah

void mIRCeval | ( | const char * | data,
|  | char * | res
| ) |

| mIRC $identifier evaluation function blah

LRESULT CALLBACK mIRCSubClassWinProc | ( | HWND | mHwnd,
|  | UINT | uMsg,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) |

| blah blah

int WINAPI UnloadDll | ( | int | timeout | ) |

mIRC DLL UnLoad Function

This function is called when the DLL is unloaded.

It initializes all what the DLL needs and links mIRC received information to the mIRCDLL mIRCLink data structure to be used later in various functions in the DLL.

Parameters:

  | timeout | Unload trigger indicator (0 = timeout unload after 10 min - 1 = exit or /dll -u)